pfssize(1)

NAME
pfssize - Resize frames

SYNOPSIS
pfssize [--x <new_width>] [--y <new_height>] [--ratio <scale_ratio>] [--maxx <max_width>] [--maxy <max_heigh>] [--minx <max_width>] [--miny <max_heigh>] [--filter <filter-name>]

DESCRIPTION
Resize all frames and all channels in the stream. Note that resampling is done on each channel as it is - for color images resampling is usually done in linear (not gamma corrected) XYZ color space.

OPTIONS

--x <new_width>, -x <new_width>
    New x resolution in pixels.

--y <new_height>, -y <new_height>
    New y resolution in pixels.

--ratio <scale_ratio>, -r <scale_ratio>
    Resize both width and height using the given ratio. Ratio equal 1 is the original size, lower than 1 makes the frames smaller and greater than 1, enlarges the frames.

--minx <max_width>, --miny <max_heigh>
    Make sure that the resulting image has at least <min_width> width and/or <min_height> height. Cannot be used in combination with -x, -y and --ratio.

--maxx <max_width>, --maxy <max_heigh>
    Make sure that the resulting image has at most <max_width> width and/or <max_height> height. Cannot be used in combination with -x, -y and --ratio.

--filter <filter-name>, -f <filter-name>
    Use filter <filter-name> for upsampling (on downsampling, box filter is always used). Available filters: BOX Box filter. This is the fastest filter, but it also causes visible aliasing artifacts. LINEAR (default) Bi-linear filter. MITCHELL Mitchell filter. From Mitchell and Netravali, Reconstruction Filters in Computer Graphics,In Computer Graphics, vol. 22 (4) 1988. Since the filter contains negative parts, it may cause halo artifacts and it may result in negative values for HDR images.

EXAMPLES

pfsin memorial.hdr | pfssize -r 0.25 | pfsout memorial_small.hdr
    Lower the resolution of memorial.hdr four times.

SEE ALSO
pfsin(1) pfsout(1)

BUGS
Please report bugs and comments to Rafal Mantiuk <mantiuk@mpi-sb.mpg.de>.